/*******************************************************************************
 * SpeedTree generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SpeedTree extends Object
    native(SpeedTree);

var private const bool bLegacySpeedTree;
var duplicatetransient native const Pointer SRH;
var(Lighting) float LeafStaticShadowOpacity;
var(Material) MaterialInterface Branch1Material;
var(Material) MaterialInterface Branch2Material;
var(Material) MaterialInterface FrondMaterial;
var(Material) MaterialInterface LeafCardMaterial;
var(Material) MaterialInterface LeafMeshMaterial;
var(Material) MaterialInterface BillboardMaterial;
var(Wind) float WindStrength;
var(Wind) Vector WindDirection;
var private editoronly const Guid LightingGuid;

defaultproperties
{
    LeafStaticShadowOpacity=0.50
    WindStrength=0.20
    WindDirection=(X=1.0,Y=0.0,Z=0.0)
}